CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[auxsmph] AUX Semaphore

## Functions
__STATIC_INLINE void | AUXSMPHAcquire (uint32_t ui32Semaphore)
| Acquire an AUX semaphore. More...
__STATIC_INLINE bool | AUXSMPHTryAcquire (uint32_t ui32Semaphore)
| Try to acquire an AUX semaphore. More...
__STATIC_INLINE void | AUXSMPHRelease (uint32_t ui32Semaphore)
| Release an AUX semaphore by CM3 master. More...

## Detailed Description

## Function Documentation

__STATIC_INLINE void AUXSMPHAcquire | ( | uint32_t | ui32Semaphore | ) |

Acquire an AUX semaphore.

This function acquires the given AUX semaphore, blocking the call until the semaphore is available.

Note
  The semaphore can also be acquired by the dedicated AUX controller. The CM3 master can thus be competing for the shared resource, i.e. the specified semaphore.

Parameters

  ui32Semaphore | is the semaphore number. AUX_SMPH_0 AUX_SMPH_1 AUX_SMPH_2 AUX_SMPH_3 AUX_SMPH_4 AUX_SMPH_5 AUX_SMPH_6 AUX_SMPH_7

Returns
  None

See also
  AUXSMPHTryAcquire(), AUXSMPHRelease()

Definition at line 123 of file aux_smph.h.

__STATIC_INLINE void AUXSMPHRelease | ( | uint32_t | ui32Semaphore | ) |

Release an AUX semaphore by CM3 master.

This function releases the given AUX semaphore.

Note
  It is up to the application to provide the convention for clearing semaphore.
  The semaphore can also be acquired by the dedicated AUX controller. The CM3 master can thus be competing for the shared resource, i.e. the specified semaphore.

Parameters

  ui32Semaphore | is the semaphore number. AUX_SMPH_0 AUX_SMPH_1 AUX_SMPH_2 AUX_SMPH_3 AUX_SMPH_4 AUX_SMPH_5 AUX_SMPH_6 AUX_SMPH_7

Returns
  None

See also
  AUXSMPHAcquire(), AUXSMPHTryAcquire()

Definition at line 229 of file aux_smph.h.

__STATIC_INLINE bool AUXSMPHTryAcquire | ( | uint32_t | ui32Semaphore | ) |

Try to acquire an AUX semaphore.

This function tries to acquire the given AUX semaphore, if the semaphore could not be claimed the function returns false.

Note
  The semaphore can also be acquired by the dedicated AUX controller. The CM3 master can thus be competing for the shared resource, i.e. the specified semaphore.

Parameters

  ui32Semaphore | is the semaphore number. AUX_SMPH_0 AUX_SMPH_1 AUX_SMPH_2 AUX_SMPH_3 AUX_SMPH_4 AUX_SMPH_5 AUX_SMPH_6 AUX_SMPH_7

Returns
  Returns true if semaphore was acquired, false otherwise

See also
  AUXSMPHAcquire(), AUXSMPHRelease()

Definition at line 175 of file aux_smph.h.

## Macro Definition Documentation

#define AUX_SMPH_0 0

Definition at line 81 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_1 1

Definition at line 82 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_2 2

Definition at line 83 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_3 3

Definition at line 84 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_4 4

Definition at line 85 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_5 5

Definition at line 86 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_6 6

Definition at line 87 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_7 7

Definition at line 88 of file aux_smph.h.

Referenced by AUXSMPHAcquire(), AUXSMPHRelease(), and AUXSMPHTryAcquire().

#define AUX_SMPH_CLAIMED 0x00000000

Definition at line 73 of file aux_smph.h.

Referenced by AUXSMPHAcquire().

#define AUX_SMPH_FREE 0x00000001

Definition at line 72 of file aux_smph.h.

Referenced by AUXSMPHRelease(), and AUXSMPHTryAcquire().